server:
  port: 8080 #the default port used for zuul service
  
#Option 2: Chapter 5 - Another method is specifying a service-route and configuring a Ribbon client for the serviceId (doing so requires disabling Eureka support in Ribbon)
zuul:
  routes:
    echo-service:
      path: /echo/**
      serviceId: echo-service #The name of the service to make the load balancing
      
ribbon: # Eureka interface with Ribbon must be disabled so Ribbon will use the list of servers indicated below
  eureka:
    enabled: false
echo-service:
  ribbon:
    listOfServers: http://localhost:8091,http://localhost:8092
    # Above is the list of servers and ports where the different instances of the service is deployed, so Ribbon can use them for load balancing
    

#server:
# port: 8080 #the default port used for zuul service
#
# Option 1: Routing via url:
# These simple url-routes do not get executed as a HystrixCommand, nor do they load-balance multiple URLs with Ribbon
# It just take all request to the path echo/ and fordward to the server localhost:8091
# zuul:
#   ignoredServices: '*'
#   routes:
#     echo-service:
#       path: /echo/**
#       url: http://localhost:8091
#
#Option 2: Chapter 5 - Another method is specifying a service-route and configuring a Ribbon client for the serviceId (doing so requires disabling Eureka support in Ribbon)
#zuul:
#  routes:
#    echo-service:
#      path: /echo/**
#      serviceId: echo-service
#ribbon:
#  eureka:
#    enabled: false
#
#echo-service:
#  ribbon:
#    listOfServers: http://localhost:8091,http://localhost:8092